#ifndef SEEK_H
#define SEEK_H

#define ITEM_COUNT 4
#define TEMPORARY ".tmp"
#define VOY "voy"
#define VOYA_LOG "voya.log"
#define VOYA_LOG_BATCH "voyaLog.bat"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <time.h>
#include "struct_vs.h"
#include "TimeName.h"

enum VOYA_CTRL_TEXT_LINES {NOT_AVAILABLE, QUOTES_GREATER_THAN_LINE, MESSAGES_LINE, DISPLAY_LINE, UTC_LINE, RESERVED_LINE_1, RESERVED_LINE_2, RESERVED_LINE_3, RESERVED_LINE_4, LEFTMOST_SALT_LINE, VOYA_MODES_LIST_SIZE};

typedef struct VOYA_ERROR VOYA_ERROR;
struct VOYA_ERROR {
    BOOL removeVoyaError, voyaErrorOpen;
    char buffer[BUFFER_SIZE];
    char voyaErrorName[SMALL_BUFFER_SIZE];
    FILE *voyaError;
};

BOOL removeVoyaErrorFiles(void);
long modified_file(char *s);
void closeVoyaError(void);
void createVoyaLog(char *message);
void makeBatchFile(void);
void openVoyaError(void);
void voyaCountFlush(int count);
void voyaMessage(const char *message);
void voyaMessageFlush(const char *message);
void voyaSumFlush(double sum);

#endif // SEEK_H
