#ifndef TIME_NAME_H
#define TIME_NAME_H

#define SERIAL_BUFFER_SIZE 16
#define SERIAL_NUMBER 1
#define SERIAL_TEXT "serial.txt"
#define TEXT_FILE ".txt"
#define TIME_NAME_SIZE 256
#define TRUE 1
#define WHO "who"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <time.h>
#include "voyaFile.h"

typedef struct TimeName TimeName;
struct TimeName {
    char base[TIME_NAME_SIZE];
    char name[TIME_NAME_SIZE];
    char extension[TIME_NAME_SIZE];
    char text[TIME_NAME_SIZE];
};

char *temporaryName(TimeName *time_name, BOOL serial_number);
void readSerialNumber(void);
void setSerialNumber(TimeName *time_name);
void zeroSerialNumber(void);

#endif /* TIME_NAME_H */
