#ifndef STRUCT_VS_H
#define STRUCT_VS_H

#define BUFFER_SIZE 4224
#define LABEL_COUNT 34
#define REMOVE_ERROR_TEXT "remove_e.txt"
#define REQUEST_SIZE 128
#define SALT_SIZE 2
#define SMALL_BUFFER_SIZE 50
#define VOYA_CTRL_TEXT "voyaCtrl.txt"
#include "voyaFile.h"

typedef struct VOYA_CONTROL VOYA_CONTROL;
struct VOYA_CONTROL {
    BOOL excludeQuotesGreaterThan, leftmostSalt, removeVoyaError, universalTime;
    int displayMode;
};

typedef struct VOYA_SETTING VOYA_SETTING;
struct VOYA_SETTING {
    BOOL case_sensitive, dragon_seek, leftmost_salt, lower_case, regular_expression;
    char buffer[BUFFER_SIZE];
    char edited[ LABEL_COUNT + 1 ][SMALL_BUFFER_SIZE];
    char label[ LABEL_COUNT + 1 ][SMALL_BUFFER_SIZE];
    char log_file_name[SMALL_BUFFER_SIZE];
    char request[REQUEST_SIZE];
    char salt[ SALT_SIZE + 1 ];
    int ascii_weight, capital_omega_weight, capital_ya_weight, capital_z_weight, cap_weight, circle_weight, cup_weight, double_integral_weight, exists_weight, hankaku_katakana_weight, heisei_weight, hiragana_weight, jis_level_one_kanji_weight, jis_level_two_kanji_weight, katakana_weight, keisen_weight, nine_weight, omega_weight, paragraph_weight, parallel_weight, roman_weight, square_meter_weight, ya_weight, z_weight;
    int idling, interim_report, leftmost, request_length, s, sum_of_weight;
};

#endif // STRUCT_VS_H
