CC        = bcc32
LINKER    = ilink32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = voya.exe
OBJS   = mt19937ar.obj queue.obj seek.obj timename.obj voyafile.obj voyamain.obj voyasetting.obj 

ALL : $(TARGET)

mt19937ar.obj: mt19937ar.c
	$(CC) -c mt19937ar.c
queue.obj: queue.c
	$(CC) $(INCLUDE) -c queue.c
seek.obj: Seek.c
	$(CC) $(CFLAGS) $(INCLUDE) -c Seek.c
TimeName.obj: TimeName.c
	$(CC) $(CFLAGS) $(INCLUDE) -c TimeName.c
voyafile.obj: voyaFile.c
	$(CC) $(CFLAGS) $(INCLUDE) -c voyaFile.c
voyamain.obj: voyaMain.c
	$(CC) $(CFLAGS) $(INCLUDE) -c voyaMain.c
voyasetting.obj: voyaSetting.c
	$(CC) $(CFLAGS) $(INCLUDE) -c voyaSetting.c

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,

clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
