#ifndef QUEUE_H
#define QUEUE_H

#define QUEUE_ARRAY_SIZE 23
#define ITEM_SIZE 50
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

enum QUEUE_STATUS {QUEUE_GROWN, QUEUE_SHRUNK, EMPTY_ERROR, FULL_HOUSE_ERROR, MALLOC_ERROR, QUEUE_ERROR_COUNT};
int display(void);
int empty(void);
int next(int index);
int pop_front(void);
int produce_ring_buffer(int size);
int push_back(char *p);
int queue_size(void);
void clear(void);

#endif /* QUEUE_H */
