#ifndef VOYAFILE_H
#define VOYAFILE_H

#pragma warn -8012 /* bcc32 */
#pragma warn -8057 /* bcc32 */
#pragma warn -8071 /* bcc32 */

#define DIGITS_SIZE 10
#define METACHARACTERS 9
#define SEED_LENGTH 4
#define TENTH_CHARACTER 16
#define TIME_USED_AS_SEED 0L
#define TRUE 1
#include <stdlib.h>
#include "mt19937ar.h"

typedef int BOOL;

BOOL metaCharacterIncluded(char *sequence);
BOOL tenthCharacterOfTori(int tail);
char *getLine(char *p, char *sequence);
char lowerCaseOf(int i);
char upperCaseOf(int i);
int charToInteger(char c);
int cstring_to_integer(char *p);
int hexadecimal_cstring_to_integer(char *p);
int removeComment(char *sequence);
int sumOfWeight(double sum);
long tickCount(void); /* voyaMain.c */
unsigned long randomIndex(void);
void copyThree(char *part, char *digits, int i);
void setMT(long n, int repetition);

#endif /* VOYAFILE_H */
